<?php
################################################################################
# @Name : asset.php 
# @Description : page to display create and edit asset
# @call : /dashboard.php
# @Author : Flox
# @Version : 3.1.10
# @Create : 27/11/2015
# @Update : 27/07/2016
################################################################################

//initialize variables 
if(!isset($_POST['sn_internal'])) $_POST['sn_internal']= ''; 
if(!isset($_POST['sn_manufacturer'])) $_POST['sn_manufacturer']= ''; 
if(!isset($_POST['type'])) $_POST['type']= ''; 
if(!isset($_POST['manufacturer'])) $_POST['manufacturer']= ''; 
if(!isset($_POST['model'])) $_POST['model']= '';
if(!isset($_POST['department'])) $_POST['department']= ''; 
if(!isset($_POST['user'])) $_POST['user']= ''; 
if(!isset($_POST['sn_indent'])) $_POST['sn_indent']= ''; 
if(!isset($_POST['ip'])) $_POST['ip']= ''; 
if(!isset($_POST['ip2'])) $_POST['ip2']= ''; 
if(!isset($_POST['mac_lan'])) $_POST['mac_lan']= ''; 
if(!isset($_POST['mac_wlan'])) $_POST['mac_wlan']= ''; 
if(!isset($_POST['state'])) $_POST['state']= ''; 
if(!isset($_POST['netbios'])) $_POST['netbios']= ''; 
if(!isset($_POST['description'])) $_POST['description']= ''; 
if(!isset($_POST['socket'])) $_POST['socket']= ''; 
if(!isset($_POST['technician'])) $_POST['technician']= ''; 
if(!isset($_POST['maintenance'])) $_POST['maintenance']= '';  
if(!isset($_POST['date_stock'])) $_POST['date_stock']= '';  
if(!isset($_POST['date_install'])) $_POST['date_install']= '';  
if(!isset($_POST['date_stock'])) $_POST['date_stock']= '';  
if(!isset($_POST['date_standbye'])) $_POST['date_standbye']= '';  
if(!isset($_POST['date_recycle'])) $_POST['date_recycle']= '';  
if(!isset($_POST['cursor'])) $_POST['cursor']= '';  

if(!isset($_GET['findip'])) $_GET['findip']= '';  
if(!isset($_GET['findip2'])) $_GET['findip2']= '';  

//core asset actions
include('./core/asset.php');

//defaults values for new asset
if(!isset($globalrow['sn_internal'])) $globalrow['sn_internal']= ''; 
if(!isset($globalrow['sn_manufacturer'])) $globalrow['sn_manufacturer']= ''; 
if(!isset($globalrow['type'])) $globalrow['type']= ''; 
if(!isset($globalrow['manufacturer'])) $globalrow['manufacturer']= ''; 
if(!isset($globalrow['model'])) $globalrow['model']= ''; 
if(!isset($globalrow['department'])) $globalrow['department']= ''; 
if(!isset($globalrow['user'])) $globalrow['user']= ''; 
if(!isset($globalrow['sn_indent'])) $globalrow['sn_indent']= ''; 
if(!isset($globalrow['ip'])) $globalrow['ip']= ''; 
if(!isset($globalrow['ip2'])) $globalrow['ip2']= ''; 
if(!isset($globalrow['mac_lan'])) $globalrow['mac_lan']= ''; 
if(!isset($globalrow['mac_wlan'])) $globalrow['mac_wlan']= ''; 
if(!isset($globalrow['state'])) $globalrow['state']= ''; 
if(!isset($globalrow['netbios'])) $globalrow['netbios']= ''; 
if(!isset($globalrow['description'])) $globalrow['description']= ''; 
if(!isset($globalrow['socket'])) $globalrow['socket']= ''; 
if(!isset($globalrow['technician'])) $globalrow['technician']= $_SESSION['user_id']; 
if(!isset($globalrow['maintenance'])) $globalrow['maintenance']= ''; 
if(!isset($globalrow['u_group'])) $globalrow['u_group']= ''; 
if(!isset($globalrow['date_stock'])) $globalrow['date_stock']= '';  
if(!isset($globalrow['date_standbye'])) $globalrow['date_standbye']= '';  
if(!isset($globalrow['date_install'])) $globalrow['date_install']= '';  
if(!isset($globalrow['date_recycle'])) $globalrow['date_recycle']= '';  
$ip_asset='0';
$wifi_asset='0';

if(!isset($globalrow['cursor'])) $globalrow['cursor']= '';

//test if ip asset to diplay specific row
if (($_GET['id']!='') && ($_GET['action']!='new'))
{
	$query = $db->query("SELECT tassets_model.* FROM `tassets_model`,`tassets` WHERE tassets.model=tassets_model.id AND tassets.id LIKE '$_GET[id]'"); 
	$ripmodel = $query->fetch();
	$query->closeCursor();
	if ($ripmodel['ip']=='1') {$ip_asset='1';} else {$ip_asset='0';}
} elseif($_POST['model']!='') {
	$query = $db->query("SELECT tassets_model.* FROM `tassets_model` WHERE id LIKE '$_POST[model]'"); 
	$ripmodel = $query->fetch();
	$query->closeCursor();
	if ($ripmodel['ip']=='1') {$ip_asset='1';} else {$ip_asset='0';}
}
//avoid problem asset ip without model
if ($globalrow['ip']!='') {$ip_asset='1';}

//test if wifi asset to diplay specific row
if (($_GET['id']!='') && ($_GET['action']!='new'))
{
	$query = $db->query("SELECT tassets_model.* FROM `tassets_model`,`tassets` WHERE tassets.model=tassets_model.id AND tassets.id LIKE '$_GET[id]'"); 
	$ripmodel = $query->fetch();
	$query->closeCursor();
	if ($ripmodel['wifi']=='1') {$wifi_asset='1';} else {$wifi_asset='0';}
} elseif($_POST['model']!='') {
	$query = $db->query("SELECT tassets_model.* FROM `tassets_model` WHERE id LIKE '$_POST[model]'"); 
	$ripmodel = $query->fetch();
	$query->closeCursor();
	if ($ripmodel['wifi']=='1') {$wifi_asset='1';} else {$wifi_asset='0';}
} 

if ($rparameters['debug']==1) {echo "<u>DEBUG MODE:</u> ip_asset=$ip_asset | wifi_asset=$wifi_asset <br />";}
?>
<div id="row">
	<div class="col-xs-12">
		<div class="widget-box">
			<form class="form-horizontal" name="myform" id="myform" enctype="multipart/form-data" method="post" action="" onsubmit="loadVal();" >
				<div class="widget-header">
					<h4>
						<i class="icon-desktop"></i>
						<?php
    						//display widget title
    						if($_GET['action']=='new') {
								echo 'Ajout d\'un équipement'; 
							} else { 
								//get internal id of this asset
								$query = $db->query("SELECT * FROM `tassets` WHERE id LIKE '$_GET[id]'"); 
								$rsn = $query->fetch();
								$query->closeCursor();
								//get warranty state
								if ($globalrow['date_stock']!='' && $globalrow['date_stock']!='0000-00-00')
								{
									$query = $db->query("SELECT warranty FROM `tassets_model` WHERE id LIKE '$globalrow[model]'"); 
									$row = $query->fetch();
									$query->closeCursor();
									if ($row[0]!=0)
									{
										//calc warranty state
										$end_warranty=explode('-',$globalrow['date_stock']);
										$year_end_warranty=$end_warranty[0]+$row[0];
										$end_warranty_label="$end_warranty[1]/$end_warranty[2]/$year_end_warranty";
										$end_warranty="$year_end_warranty-$end_warranty[1]-$end_warranty[2]";
										if (date('Y-m-d')>$end_warranty) $warranty_color='red'; else $warranty_color='green';
										$age=date('Y-m-d')-$globalrow['date_stock'];
										
										$warranty_state='<i title="Equipement agé de '.$age.' ans garantie jusqu\'au '.$end_warranty_label.'. " class="icon-certificate '.$warranty_color.'">';
									} else {
										$warranty_state='';
									}
								} else {
									$warranty_state='';
								}
								//get internal id of this asset
								echo 'Edition de l\'équipement n° '.$rsn['sn_internal'].': '.$rsn['netbios'].' '.$warranty_state.'</i>';
							}
						?>
					</h4>
					
					<span class="widget-toolbar">
						<?php 
							//check presrequite to display ping button
							if($globalrow['ip']!='')
							{
								//check number of digits
								if((substr_count($globalrow['ip'], '.'))==3)
								{
									echo '<a href="./index.php?page=asset&id='.$_GET['id'].'&action=ping"><i title="Ping de cet équipement sur l\'adresse '.$globalrow['ip'].' " class="icon-exchange info bigger-130"></i></a>&nbsp;&nbsp;';
								} 
							} 
							elseif($globalrow['ip2']!='')
							{
								//check number of digits
								if((substr_count($globalrow['ip2'], '.'))==3)
								{
									echo '<a href="./index.php?page=asset&id='.$_GET['id'].'&action=ping"><i title="Ping de cet équipement sur l\'adresse '.$globalrow['ip'].'" class="icon-exchange info bigger-130"></i></a>&nbsp;&nbsp;';
								} 
							}
							//check presrequite to display wol button
							if($globalrow['mac_lan']!='')
							{
								//check number of digits
								if(strlen($globalrow['mac_lan'])==12)
								{
									echo '<a href="./index.php?page=asset&id='.$_GET['id'].'&action=wol"><i title="Allumer cet équipement (WOL)" class="icon-bolt orange bigger-130"></i></a>&nbsp;&nbsp;';
								} 
							}
							echo '<a href="./index.php?page=asset&id='.$_GET['id'].'&action=delete"><i title="Supprimer cet équipement" class="icon-trash red bigger-130"></i></a>&nbsp;&nbsp;';
							echo '<button class="btn btn-minier btn-success" title="Sauvegarder" name="modify" value="modify" type="submit" id="modify"><i class="icon-save bigger-140"></i></button>&nbsp;&nbsp;';
							echo '<button class="btn btn-minier btn-purple" title="Sauvegarder et quitter" name="quit" value="quit" type="submit" id="quit"><i class="icon-save bigger-140"></i></button>';
						?>
					</span>
				</div>
				<div class="widget-body">
					<div class="widget-main">
						<div class="row">
							<div class="col-sm-8">
								<!-- START sn_internal part -->
								<div class="form-group">
									<label class="col-sm-4 control-label no-padding-right" for="sn_internal">Identifiant:</label>
									<div class="col-sm-6">
										<input  name="sn_internal" id="sn_internal" type="text" size="25"  value="<?php if ($_POST['sn_internal']) echo $_POST['sn_internal']; else echo $globalrow['sn_internal']; ?>"  />
									</div>
								</div>
								<!-- END sn_internal part -->
								
								<!-- START type model part -->
								<div class="form-group ">
									<label class="col-sm-4 control-label no-padding-right" for="type">
										<?php if(($globalrow['type']==0 || $globalrow['model']==0) && ($_POST['type']==0 || $_POST['model']==0)) echo '<i title="Aucun type séléctionné." class="icon-warning-sign red bigger-130"></i>&nbsp;'; ?>
										Type:
									</label>
									<div class="col-sm-8">
										<select id="type" name="type" onchange="submit();" >
											<?php
												$query= $db->query("SELECT * FROM `tassets_type` ORDER BY name ");
												while ($row = $query->fetch()) 
												{
													if ($_POST['type'])
													{
														if ($_POST['type']==$row['id']) echo "<option value=\"$row[id]\" selected>$row[name]</option>"; else echo "<option value=\"$row[id]\">$row[name]</option>";
													}
													else
													{
														if ($globalrow['type']==$row['id']) echo "<option value=\"$row[id]\" selected>$row[name]</option>"; else echo "<option value=\"$row[id]\">$row[name]</option>";
													}
												}
												$query->closeCursor();
												if ($globalrow['type']==0 && $_POST['type']==0) echo "<option value=\"\" selected></option>";
											?>
										</select>
										<select id="manufacturer" name="manufacturer" onchange="submit();" >
											<?php
												if ($_POST['type'])
												{$query= $db->query("SELECT DISTINCT tassets_manufacturer.id, tassets_manufacturer.name FROM `tassets_manufacturer`,tassets_model WHERE tassets_manufacturer.id=tassets_model.manufacturer AND tassets_model.type='$_POST[type]' ORDER BY name ASC");}
												elseif ($globalrow['type']!='')
												{$query= $db->query("SELECT DISTINCT tassets_manufacturer.id, tassets_manufacturer.name FROM `tassets_manufacturer`,tassets_model WHERE tassets_manufacturer.id=tassets_model.manufacturer AND tassets_model.type='$globalrow[type]' ORDER BY name ASC");}
												else
												{$query= $db->query("SELECT * FROM `tassets_manufacturer` ORDER BY name ASC");}
												while ($row = $query->fetch()) 
												{
													if ($_POST['type'])
													{
														if ($_POST['manufacturer']==$row['id']) echo "<option value=\"$row[id]\" selected>$row[name]</option>"; else echo "<option value=\"$row[id]\">$row[name]</option>";
													}
													else
													{
														if ($globalrow['manufacturer']==$row['id']) echo "<option value=\"$row[id]\" selected>$row[name]</option>"; else echo "<option value=\"$row[id]\">$row[name]</option>";
													}
												} 
												$query->closeCursor();
												if ($globalrow['manufacturer']==0 && $_POST['manufacturer']==0) echo "<option value=\"\" selected></option>";
											?>
										</select>
										<select  id="model" name="model" onchange="submit();" >
										<?php
											if ($_POST['manufacturer'])
											{$query= $db->query("SELECT * FROM `tassets_model` WHERE manufacturer LIKE '$_POST[manufacturer]' AND type='$_POST[type]' ORDER BY name ASC");}
											elseif ($globalrow['manufacturer']!='')
											{$query= $db->query("SELECT * FROM `tassets_model` WHERE manufacturer LIKE '$globalrow[manufacturer]' AND type='$globalrow[type]' ORDER BY name ASC");}
											else
											{$query= $db->query("SELECT * FROM `tassets_model` ORDER BY name ASC");}
											
											while ($row = $query->fetch()) 
											{
												if ($_POST['model'])
												{
													if ($_POST['model']==$row['id']) echo "<option value=\"$row[id]\" selected>$row[name]</option>"; else echo "<option value=\"$row[id]\">$row[name]</option>";
												}
												else
												{
													if ($globalrow['model']==$row['id']) echo "<option value=\"$row[id]\" selected>$row[name]</option>"; else echo "<option value=\"$row[id]\">$row[name]</option>";
												}
											} 
											$query->closeCursor();
											if ($globalrow['model']==0 && $_POST['model']==0) echo "<option value=\"\" selected></option>";
										?>
										</select>
									</div>
								</div>
								<!-- END type model part -->
								
								<!-- START netbios part -->
								<div class="form-group">
									<label class="col-sm-4 control-label no-padding-right" for="netbios">Nom</label>
									<div class="col-sm-8">
										<input  name="netbios" id="netbios" type="text" size="25"  value="<?php if ($_POST['netbios']) echo $_POST['netbios']; else echo $globalrow['netbios']; ?>"  />
									</div>
								</div>
								<!-- END netbios part -->
								
								<!-- START user part -->	
								<div class="form-group" >
									<label class="col-sm-4 control-label no-padding-right" for="user">
										Utilisateur:
									</label>
									<div class="col-sm-4">
										<select id="user" name="user" style="width:195px" onchange="loadVal(); submit();">
											<?php
											//diplay user list
											$query = $db->query("SELECT * FROM `tusers` WHERE disable='0' ORDER BY lastname ASC, firstname ASC");
											while ($row = $query->fetch()) {echo "<option value=\"$row[id]\">$row[lastname] $row[firstname]</option>";}
											//selection
											if ($_POST['user'])	{$user=$_POST['user'];}	elseif ($globalrow['user']!=''){$user=$globalrow['user'];} else {$user=0;}
											$query=$db->query("SELECT * FROM tusers WHERE id LIKE '$user'");
											$row=$query->fetch();
											$query->closeCursor();
											if ($user==0) {echo "<option selected value=\"0\">Aucun</option>";} else  {echo "<option selected value=\"$user\">$row[lastname] $row[firstname]</option>";}
											?>
										</select>
									</div>
								</div>
								<!-- END user part -->
								
								<!-- START department part -->	
								<div class="form-group" >
									<label class="col-sm-4 control-label no-padding-right" for="department">
										Service:
									</label>
									<div class="col-sm-4">
										<select id="department" name="department" style="width:195px" onchange="loadVal(); submit();">
											<?php
											echo "<option value=\"0\">Aucun</option>";
											//diplay service list
											$query = $db->query("SELECT * FROM `tservices` WHERE disable='0' ORDER BY name ASC");
											while ($row = $query->fetch()) 
											{
												if ($globalrow['department']==$row['id']) {
													echo "<option selected value=\"$row[id]\">$row[name]</option>";
												} else {
													echo "<option value=\"$row[id]\">$row[name]</option>";
												}
											}
											?>
										</select>
									</div>
								</div>
								<!-- END service part -->
								
								<!-- START ip part -->
								<?php
								if ($ip_asset=='1')
								{
									echo '
									<div class="form-group">
										<label class="col-sm-4 control-label no-padding-right" for="ip">Adresse IP LAN:</label>
										<div class="col-sm-8">
											<input  name="ip" id="ip" type="text" size="25"  value="'; if ($_GET['findip']) {echo $_GET['findip'];} elseif ($_POST['ip']) echo $_POST['ip']; else echo $globalrow['ip']; echo '"  />
											&nbsp;&nbsp;<i class="icon-plus-sign green bigger-130" title="Trouver une adresse IP" onclick="document.forms[\'myform\'].action.value=\'findip\';document.forms[\'myform\'].submit();"></i>
											
										</div>
									</div>
									';
									
								}
								//for 
								echo'<input type="hidden" name="action" value="">';
								?>
								<!-- END ip part -->
								
								<!-- START MAC LAN part -->
								<?php
								if ($ip_asset=='1')
								{
									echo '
									<div class="form-group">
										<label class="col-sm-4 control-label no-padding-right" for="mac_lan">Adresse MAC LAN:</label>
										<div class="col-sm-8">
											<input  name="mac_lan" id="mac_lan" title="Noter sans séparateurs : ou - " type="text" size="25"  value="'; if ($_POST['mac_lan']) echo $_POST['mac_lan']; else echo $globalrow['mac_lan']; echo '"  />
										</div>
									</div>
									';
								}
								?>
								<!-- END MAC LAN part -->
								
								<!-- START ip2 part -->
								<?php
								if ($wifi_asset=='1')
								{
									echo '
									<div class="form-group">
										<label class="col-sm-4 control-label no-padding-right" for="ip2">Adresse IP WIFI:</label>
										<div class="col-sm-8">
											<input  name="ip2" id="ip2" type="text" size="25"  value="'; if ($_GET['findip2']) {echo $_GET['findip2'];} elseif ($_POST['ip2']) echo $_POST['ip2']; else echo $globalrow['ip2']; echo '"  />
											&nbsp;&nbsp;<i class="icon-plus-sign green bigger-130" title="Trouver une adresse IP" onclick="document.forms[\'myform\'].action.value=\'findip2\';document.forms[\'myform\'].submit();"></i>
										</div>
									</div>
									';
									
								}
								?>
								<!-- END ip2 part -->
								
								<!-- START MAC WLAN part -->
								<?php
								if ($wifi_asset=='1')
								{
									echo '
									<div class="form-group">
										<label class="col-sm-4 control-label no-padding-right" for="mac_wlan">Adresse MAC WLAN:</label>
										<div class="col-sm-8">
											<input  name="mac_wlan" id="mac_wlan" type="text" title="Noter sans séparateurs  : ou - " size="25"  value="'; if ($_POST['mac_wlan']) echo $_POST['mac_wlan']; else echo $globalrow['mac_wlan']; echo '"  />
										</div>
									</div>
									';
								}
								?>
								<!-- END MAC WLAN part -->
								
								<!-- START sn_manufacturer part -->
								<div class="form-group">
									<label class="col-sm-4 control-label no-padding-right" for="sn_manufacturer">Numéro de série fabricant:</label>
									<div class="col-sm-8">
										<input  name="sn_manufacturer" id="sn_manufacturer" type="text" size="30"  value="<?php if ($_POST['sn_manufacturer']) echo $_POST['sn_manufacturer']; else echo $globalrow['sn_manufacturer']; ?>"  />
									</div>
								</div>
								<!-- END sn_manufacturer part -->
								
								<!-- START sn_indent part -->
								<div class="form-group">
									<label class="col-sm-4 control-label no-padding-right" for="sn_indent">Numéro de commande:</label>
									<div class="col-sm-8">
										<input  name="sn_indent" id="sn_indent" type="text" size="30"  value="<?php if ($_POST['sn_indent']) echo $_POST['sn_indent']; else echo $globalrow['sn_indent']; ?>"  />
									</div>
								</div>
								<!-- END sn_indent part -->
								
								<!-- START description part -->
								<div class="form-group">
									<label class="col-sm-4 control-label no-padding-right" for="description">Commentaires:</label>
									<div class="col-sm-8">
										<textarea name="description" id="description"  cols="40" rows="4"><?php if ($_POST['description']) echo $_POST['description']; else echo $globalrow['description']; ?></textarea>
									</div>
								</div>
								<!-- END description part -->
								
								<!-- START socket part -->
								<?php
								if ($ip_asset=='1')
									{
										echo '
										<div class="form-group">
											<label class="col-sm-4 control-label no-padding-right" for="socket">Numéro de prise:</label>
											<div class="col-sm-8">
												<input  name="socket" id="socket" type="text" size="25"  value="'; if ($_POST['socket']) echo $_POST['socket']; else echo $globalrow['socket']; echo '"  />
											</div>
										</div>
										';
									}
								?>
								<!-- END socket part -->
								
								<!-- START technician part -->	
								<div class="form-group" >
									<label class="col-sm-4 control-label no-padding-right" for="technician">
										<?php if (($_POST['technician']==0) && ($globalrow['technician']==0)) echo '<i title="selectionner un technicien." class="icon-warning-sign red bigger-130"></i>&nbsp;'; ?>
										Installateur:
									</label>
									<div class="col-sm-4">
										<select id="technician" name="technician" style="width:195px" onchange="loadVal(); submit();">
											<?php
											//display technician list
											$query = $db->query("SELECT * FROM `tusers` WHERE (profile='0' || profile='4') ORDER BY lastname ASC, firstname ASC");
											while ($row = $query->fetch()) {echo "<option value=\"$row[id]\">$row[lastname] $row[firstname]</option>";}
											//selection
											if ($_POST['technician'])	{$user=$_POST['technician'];}	elseif ($globalrow['technician']!=''){$user=$globalrow['technician'];} else {$user=0;}
											$query=$db->query("SELECT * FROM tusers WHERE (profile='0' || profile='4') AND id LIKE '$user'");
											$row=$query->fetch();
											$query->closeCursor();
											echo "<option selected value=\"$user\">$row[lastname] $row[firstname]</option>";
											if ($user==0) echo "<option selected value=\"0\">Aucun</option>";
											?>
										</select>
									</div>
								</div>
								<!-- END technician part -->
								
								<!-- START maintenance part -->	
								<div class="form-group" >
									<label class="col-sm-4 control-label no-padding-right" for="maintenance">
										Maintenance:
									</label>
									<div class="col-sm-4">
										<select id="maintenance" name="maintenance" style="width:195px" onchange="loadVal(); submit();">
											<?php
											echo "<option selected value=\"0\">Aucun</option>";
											//diplay service list
											$query = $db->query("SELECT * FROM `tservices` WHERE disable='0' ORDER BY name ASC");
											while ($row = $query->fetch()) 
											{
												if ($globalrow['maintenance']==$row['id']) {
													echo "<option selected value=\"$row[id]\">$row[name]</option>";
												} else {
													echo "<option value=\"$row[id]\">$row[name]</option>";
												}
											}
											?>
										</select>
									</div>
								</div>
								<!-- END maintenance part -->
								
								<!-- START stock date part -->
								<div class="form-group ">
									<label class="col-sm-4 control-label no-padding-right" for="date_stock">Date d'achat:</label>
									<div class="col-sm-8">
										<input type="text" size="25" name="date_stock" id="date_stock" value="<?php if ($_POST['date_stock']) echo $_POST['date_stock']; else echo $globalrow['date_stock']; ?>" >
									</div> 
								</div>
								<!-- END stock date part -->
								
								<!-- START install date part -->
								<?php
									if ($_GET['action']!='new')
									{
										echo '
											<div class="form-group ">
												<label class="col-sm-4 control-label no-padding-right" for="date_install">Date d\'installation:</label>
												<div class="col-sm-8">
													<input type="text" size="25" name="date_install" id="date_install" value="'; if ($_POST['date_install']) echo $_POST['date_install']; else echo $globalrow['date_install']; echo'" >
												</div> 
											</div>
										';
									}
								?>
								<!-- END install date part -->
								
								<!-- START standbye date part -->
								<?php
									if ($_GET['action']!='new' && $globalrow['state']!='2' && $globalrow['state']!='1' )
									{
										echo '
											<div class="form-group ">
												<label class="col-sm-4 control-label no-padding-right" for="date_standbye">Date de standbye</label>
												<div class="col-sm-8">
													<input type="text" size="25" name="date_standbye" id="date_standbye" value="'; if ($_POST['date_standbye']) echo $_POST['date_standbye']; else echo $globalrow['date_standbye']; echo '" >
												</div> 
											</div>
										';
									}
								?>
								<!-- END standbye date part -->
								
								<!-- START recycle date part -->
								<?php
								if ($globalrow['state']=='4' || $_POST['state']=='4')
								{
									echo '
										<div class="form-group ">
											<label class="col-sm-4 control-label no-padding-right" for="date_recycle">Date de recyclage:</label>
											<div class="col-sm-8">
												<input type="text" size="25" name="date_recycle" id="date_recycle" value="'; if ($_POST['date_recycle']) echo $_POST['date_recycle']; else echo $globalrow['date_recycle']; echo '" >
											</div> 
										</div>
									';
								}
								?>
								<!-- END recycle date part -->
								
								<!-- START state part -->	
								<div class="form-group" >
									<label class="col-sm-4 control-label no-padding-right" for="state">
										Etat:
									</label>
									<div class="col-sm-4">
										<select id="state" name="state" style="width:195px" onchange="loadVal(); submit();">
											<?php
											//diplay states list
											$query = $db->query("SELECT * FROM `tassets_state` WHERE disable='0' ORDER BY name ASC");
											while ($row = $query->fetch()) 
											{
												if ($globalrow['state']==$row['id']) {
													echo "<option selected value=\"$row[id]\">$row[name]</option>";
												} else {
													echo "<option value=\"$row[id]\">$row[name]</option>";
												}
											}
											?>
										</select>
									</div>
								</div>
								<!-- END state part -->
								
							</div>
							<!-- SECOND COLUMN PART -->
							<div class="col-sm-4" >
								<br /><br /><br /><br /><br />
								<?php 
									//diplay model image if exist
									if($_POST['model']!='') 
									{
										$query=$db->query("SELECT * FROM tassets_model WHERE id LIKE '$_POST[model]'");
										$row=$query->fetch();
										$query->closeCursor();
										$model=$_POST['model'];
									} elseif($_POST['type']!='') 
									{
										$query=$db->query("SELECT * FROM tassets_model WHERE type LIKE '$_POST[type]'");
										$row=$query->fetch();
										$query->closeCursor();
										$model=$_POST['model'];
									} else {
										$query=$db->query("SELECT * FROM tassets_model WHERE id LIKE '$globalrow[model]'");
										$row=$query->fetch();
										$query->closeCursor();
										$model=$globalrow['model'];
									}

										if ($globalrow['ip']!='' && $row['image']!='') {echo '<a href="'.$http.'://'.$globalrow['ip'].'" target="about_blank" title="Accedez à l\'interface web de cet équipement" >';}
										if ($row['image']!='') {echo '<img src="./images/model/'.$row['image'].'" />';}
										if ($globalrow['ip']!=''  && $row['image']!='') {echo '</a>'; }
									
								?>
							</div>
						</div> <!-- div row -->
						<div class="row" align="center">
							<div class="clearfix form-actions" >	

								<button name="modify" id="modify" value="modify" type="submit" class="btn btn-sm btn-success">
									<i class="icon-save icon-on-right bigger-110"></i> 
									&nbsp;Enregistrer
								</button>
								&nbsp;
								<button name="quit" id="quit" value="quit" type="submit" class="btn btn-sm btn-purple">
									<i class="icon-save icon-on-right bigger-110"></i> 
									&nbsp;Enregistrer et Fermer
								</button>
								&nbsp;
								<button name="cancel" id="cancel" value="cancel" type="submit" class="btn btn-sm btn-danger">
									<i class="icon-remove icon-on-right bigger-110"></i> 
									&nbsp;Annuler
								</button>
							</div> <!-- div form-actions -->
						</div> <!-- div row -->
					</div> <!-- div widget main -->
				</div> <!-- div widget body -->
			</form>
		</div> <!-- div end sm -->
	</div> <!-- div end x12 -->
</div> <!-- div end row -->

<?php include ('./wysiwyg.php'); ?>

<!-- date picker script -->
<script type="text/javascript">
	window.jQuery || document.write("<script src='assets/js/jquery-2.0.3.min.js'>"+"<"+"/script>");
</script>
	<script src="template/assets/js/date-time/bootstrap-timepicker.min.js"></script>
<script type="text/javascript">
jQuery(function($) {
    

		$.datepicker.setDefaults( $.datepicker.regional[ "fr" ] );
		jQuery(function($){
		   $.datepicker.regional['fr'] = {
			  closeText: 'Fermer',
			  prevText: '<Préc',
			  nextText: 'Suiv>',
			  currentText: 'Courant',
			  monthNames: ['Janvier','Février','Mars','Avril','Mai','Juin',
			  'Juillet','Août','Septembre','Octobre','Novembre','Décembre'],
			  monthNamesShort: ['Jan','Fév','Mar','Avr','Mai','Jun',
			  'Jul','Aoû','Sep','Oct','Nov','Déc'],
			  dayNames: ['Dimanche','Lundi','Mardi','Mercredi','Jeudi','Vendredi','Samedi'],
			  dayNamesShort: ['Dim','Lun','Mar','Mer','Jeu','Ven','Sam'],
			  dayNamesMin: ['Di','Lu','Ma','Me','Je','Ve','Sa'],
			  weekHeader: 'Sm',
			  dateFormat: 'dd/mm/yy',
			  firstDay: 1,
			  isRTL: false,
			  showMonthAfterYear: false,
			  yearSuffix: ''};
		   $.datepicker.setDefaults($.datepicker.regional['fr']);
		    });
		$( "#date_install" ).datepicker({ 
			dateFormat: 'yy-mm-dd'
		});
		$( "#date_stock" ).datepicker({ 
			dateFormat: 'yy-mm-dd'
		});
		$( "#date_recycle" ).datepicker({ 
			dateFormat: 'yy-mm-dd'
		});
		$( "#date_standbye" ).datepicker({ 
			dateFormat: 'dd/mm/yy'
		});
	});		
</script>		