<?php
################################################################################
# @Name : ./core/asset.php 
# @Description : actions page for assets
# @call : ./asset.php
# @Author : Flox
# @Create : 28/10/2013
# @Update : 10/02/2016
# @Version : 3.1.10
################################################################################

//initialize variable
if(!isset($_POST['close'])) $_POST['close'] = '';
if(!isset($_POST['text'])) $_POST['text'] = '';
if(!isset($_POST['send'])) $_POST['send'] = '';
if(!isset($_POST['action'])) $_POST['action'] = '';
if(!isset($_POST['modify'])) $_POST['modify'] = '';
if(!isset($_POST['quit'])) $_POST['quit'] = '';
if(!isset($_POST['cancel'])) $_POST['cancel'] = '';

if(!isset($_GET['disable'])) $_GET['disable'] = '';
if(!isset($_GET['fromnew'])) $_GET['fromnew'] = '';	

if(!isset($findip)) $findip = '';	
if(!isset($findip2)) $findip2 = '';	

if(!isset($error)) $error="0";

//display find modalbox
if($_GET['action']=='findip') include('./asset_findip.php');
if($_GET['action']=='findip2' && $findip2=='') include('./asset_findip2.php');

//use stock asset if exist
if($_POST['model']!='' && $_GET['action']=='new')
{
	$query=$db->query("SELECT * FROM tassets WHERE sn_internal=(SELECT MIN(sn_internal) FROM tassets WHERE state=1 AND model=$_POST[model] AND disable=0)");
	$row=$query->fetch();
	$query->closeCursor(); 
	if ($row[0])
	{
		//redirect
		echo "<SCRIPT LANGUAGE='JavaScript'>
					<!--
					function redirect()
					{
					window.location='./index.php?page=asset&id=$row[id]&fromnew=1'
					}
					setTimeout('redirect()');
					-->
			</SCRIPT>";
	}
}

//find next asset number
if($_GET['action']=='new')
{
	$query=$db->query("SELECT MAX(CONVERT(sn_internal, SIGNED INTEGER)) FROM tassets");
	$row_sn_internal=$query->fetch();
	$query->closeCursor(); 
	$query=$db->query("SELECT MAX(id) FROM tassets");
	$row_id=$query->fetch();
	$query->closeCursor(); 
	$_POST['sn_internal'] =$row_sn_internal[0]+1;
	$_GET['id'] =$row_id[0]+1;
	
}

//action delete asset
if ($_GET['action']=="delete") 
{
	//disable asset
	$db->exec('UPDATE tassets SET disable=1 WHERE id=\''.$_GET['id'].'\'');
	//display delete message
	echo '<div class="alert alert-block alert-danger"><center><i class="icon-remove red"></i>	Equipement supprimé.</center></div>';
	//redirect
	echo "<SCRIPT LANGUAGE='JavaScript'>
				<!--
				function redirect()
				{
				window.location='./index.php?page=asset_list'
				}
				setTimeout('redirect()',$rparameters[time_display_msg]);
				-->
		</SCRIPT>";
}

//master query
$globalquery = $db->query("SELECT * FROM tassets WHERE id LIKE '$_GET[id]'");
$globalrow=$globalquery->fetch();
$query->closeCursor();

//auto convert state if new asset
if ($globalrow['state']==1 && $_GET['fromnew']==1) {$globalrow['state']=2;}

//action wake on lan this asset
if ($_GET['action']=="wol") 
{
	require('./core/wol.php');
	$time=$rparameters['time_display_msg']+2000;
	//redirect
	echo "<SCRIPT LANGUAGE='JavaScript'>
				<!--
				function redirect()
				{
				window.location='./index.php?page=asset&state=$_GET[state]&id=$_GET[id]'
				}
				setTimeout('redirect()',$time);
				-->
		</SCRIPT>";
}

//action ping this asset
if ($_GET['action']=="ping") 
{
	require('./core/ping.php');
	$time=$rparameters['time_display_msg']+2000;
	//redirect
	echo "<SCRIPT LANGUAGE='JavaScript'>
				<!--
				function redirect()
				{
				window.location='./index.php?page=asset&state=$_GET[state]&id=$_GET[id]'
				}
				setTimeout('redirect()',$time);
				-->
		</SCRIPT>";
}

//database inputs if submit
if($_POST['modify']||$_POST['quit']||$_POST['action']) 
{
	//secure text string and remove special char
	$description=$db->quote($_POST['description']);

	//auto insert date if change state
	if ($globalrow['state']!='2' && $_POST['state']=='2') {$_POST['date_install']=date('Y-m-d'); }
	if ($globalrow['state']!='3' && $_POST['state']=='3') {$_POST['date_standbye']=date('Y-m-d'); }
	if ($globalrow['state']!='4' && $_POST['state']=='4') {$_POST['date_recycle']=date('Y-m-d'); }
	
	//check duplicate sn_internal
	$query = $db->query("SELECT * FROM tassets WHERE sn_internal LIKE '$_POST[sn_internal]' AND state!=4 AND disable=0 ");
	$row=$query->fetch();
	$query->closeCursor();
	if ($row[0]!='' && ($_POST['sn_internal']!=$globalrow['sn_internal'])) {$error='Un autre équipement possède déja cet identfiant. ('.$row['netbios'].')';} 
	
	//check duplicate ip address
	if ($_POST['ip']=='') $postip='0'; else $postip=$_POST['ip'];
	if ($_POST['ip2']=='') $postip2='0'; else $postip2=$_POST['ip2'];

	$query = $db->query("SELECT * FROM tassets WHERE (ip LIKE '$postip' OR ip2 LIKE '$postip2' OR ip LIKE '$postip2' OR ip2 LIKE '$postip') AND state='2' AND sn_internal!='$globalrow[sn_internal]' AND disable=0");
	$row=$query->fetch();
	$query->closeCursor();
	
	if ($rparameters['debug']==1) {
		echo"<br /> DEBUG: <br /> duplicate IP > SELECT * FROM tassets WHERE (ip LIKE '$postip' OR ip2 LIKE '$postip2' OR ip LIKE '$postip2' OR ip2 LIKE '$postip') AND state='2' AND sn_internal!='$globalrow[sn_internal]' AND disable=0 > result $row[0] <br />";
	}
	
	if ($row[0]!='') {$error='Un autre équipement possède déja cette l\'adresse IP. (<a target="about_blank" href="./index.php?page=asset&state=2&id='.$row['id'].'" >'.$row['netbios'].'</a>)';} 
	
	//check duplicate manufacturer
	$query = $db->query("SELECT * FROM tassets WHERE sn_manufacturer LIKE '$_POST[sn_manufacturer]' AND state!=4  AND disable=0");
	$row=$query->fetch();
	$query->closeCursor();
	if ($row[0]!='' && ($_POST['sn_manufacturer']!=$globalrow['sn_manufacturer'])) {$error='Un autre équipement possède déja ce numéro de serie fabriquant ('.$row['netbios'].').';} 
	
	//control number of digit of MAC adresse
	if (strlen($_POST['mac_lan'])!=12 && $_POST['mac_lan']!='') {$error='L\'adresse MAC LAN doit faire 12 caractères ('.strlen($_POST['mac_lan']).').';} 
	if (strlen($_POST['mac_wlan'])!=12  && $_POST['mac_wlan']!='') {$error='L\'adresse MAC WLAN doit faire 12 caractères ('.strlen($_POST['mac_wlan']).').';} 
		
	//SQL queries
	if (($_GET['action']=='new') && ($error=="0"))
	{	
		//insert asset
		$db->exec("
		INSERT INTO tassets (
		sn_internal,
		sn_manufacturer,
		sn_indent,
		ip,
		ip2,
		netbios,
		description,
		type,
		manufacturer,
		model,
		user,
		state,
		mac_lan,
		mac_wlan,
		department,
		date_install,
		date_stock,
		date_standbye,
		date_recycle,
		socket,
		technician,
		maintenance,
		disable
		) VALUES (
		'$_POST[sn_internal]',
		'$_POST[sn_manufacturer]',
		'$_POST[sn_indent]',
		'$_POST[ip]',
		'$_POST[ip2]',
		'$_POST[netbios]',
		$description,
		'$_POST[type]',
		'$_POST[manufacturer]',
		'$_POST[model]',
		'$_POST[user]',
		'$_POST[state]',
		'$_POST[mac_lan]',
		'$_POST[mac_wlan]',
		'$_POST[department]',
		'$_POST[date_install]',
		'$_POST[date_stock]',
		'$_POST[date_standbye]',
		'$_POST[date_recycle]',
		'$_POST[socket]',
		'$_POST[technician]',
		'$_POST[maintenance]',
		'0'
		)");
	    
	} elseif ($error=="0")  {
		//update asset
		$query = "UPDATE tassets SET 
		sn_internal='$_POST[sn_internal]',
		sn_manufacturer='$_POST[sn_manufacturer]',
		sn_indent='$_POST[sn_indent]',
		ip='$_POST[ip]',
		ip2='$_POST[ip2]',
		netbios='$_POST[netbios]',
		description=$description,
		type='$_POST[type]',
		manufacturer='$_POST[manufacturer]',
		model='$_POST[model]',
		user='$_POST[user]',
		state='$_POST[state]',
		mac_lan='$_POST[mac_lan]',
		mac_wlan='$_POST[mac_wlan]',
		department='$_POST[department]',
		date_install='$_POST[date_install]',
		date_stock='$_POST[date_stock]',
		date_standbye='$_POST[date_standbye]',
		date_recycle='$_POST[date_recycle]',
		socket='$_POST[socket]',
		technician='$_POST[technician]',
		maintenance='$_POST[maintenance]',
		disable='$_GET[disable]'
		WHERE
		id LIKE '$_GET[id]'";
		if ($rparameters['debug']==1) {echo $query;}
		$db->exec($query);	
	}

	//display message
	if($error=="0")
	{
	    echo '<div class="alert alert-block alert-success"><center><i class="icon-ok green"></i>	Equipement sauvegardé. </center></div>';
	} else {
	    //new page asset redirect
        echo '<div class="alert alert-danger"><i class="icon-remove"></i> <strong>Erreur:</strong> '.$error.' </div>';
	}
	
	//switch state for redirect new asset cse
	if ($_GET['state']=='') {$_GET['state']='2';}
	
	//redirect for quit case
	if ($_POST['quit'] && ($error==0))
	{
		//redirect
		$www = "./index.php?page=asset_list&state=$_GET[state]";
		echo '<script language="Javascript">
		<!--
		document.location.replace("'.$www.'");
		-->
		</script>';
	}
	
    if($error=="0")
    {
	//global redirect
    echo "<SCRIPT LANGUAGE='JavaScript'>
			<!--
			function redirect()
			{
		    	window.location='./index.php?page=asset&state=$_GET[state]&action=$_POST[action]&id=$_GET[id]'
			}
			setTimeout('redirect()',$rparameters[time_display_msg]);
			-->
		</SCRIPT>";
    }		
}
if($_POST['cancel']) 
{
echo '<div class="alert alert-block alert-danger"><center><i class="icon-remove red"></i>	Annulation pas de modification.</center></div>';
echo "<SCRIPT LANGUAGE='JavaScript'>
			<!--
			function redirect()
			{
			window.location='./index.php?page=asset_list&state=$_GET[state]'
			}
			setTimeout('redirect()',$rparameters[time_display_msg]);
			-->
			</SCRIPT>";
}
?>